<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Comprobar Duplicidad de los Productos';
echo "<title>".AppName.' - '.$title."</title>";

$codigo = $_GET['id'];
$Items = new DB();
$sqlItems = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$codigo';";
$Items->dbSQL($sqlItems);
$Items->next();
	$itemComprobar = $Items->dbField('prod_item');

function DetSucursal($cod){
	$db = new DB();
	$sqldb = "SELECT * FROM inventarios_ubicaciones
	WHERE ubica_codigo = '$cod';";
	$db->dbSQL($sqldb);
	$db->next();
		$sucursal = $db->dbField('ubica_nombre');

	return $sucursal;
}	
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">											
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>		
													<th>N&ordm;</th>		
													<th>item</th>			
													<th>producto</th>
													<th>ubicacion</th>
													<th>cajas</th>
													<th>unidades por caja</th>
													<th>unidades real</th>
												</tr>
											</thead>											
											<tbody>
											<?php											
											echo $sql = "SELECT * FROM inventarios_productos p, inventarios_ubicaciones u
											WHERE p.prod_item = '$itemComprobar'
											AND p.prod_estado = '1'
											AND p.ubica_codigo = u.ubica_codigo
											AND p.ubica_codigo = '$UbicacionID';";												
											/*$sql = "SELECT p.prod_item, p.prod_nombre, u.ubica_codigo,
											COUNT(*) AS total
											FROM inventarios_productos p, inventarios_ubicaciones u
												WHERE prod_item<>''
												AND p.ubica_codigo = u.ubica_codigo
											GROUP BY p.prod_item, p.prod_nombre HAVING total > 1;";	
											*/
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																							
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$cod_sucursal = $db->dbField('ubica_codigo');
												
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');

												$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;		

												$html.='<tr>';												
													$html.='<td align=center><b>'.$i.'</b></td>';											
													$html.='<td align=center>'.$prod_item.'</td>';
													$html.='<td>'.$prod_nombre.'</td>';																					
													$html.='<td align=center>'.DetSucursal($cod_sucursal).'</td>';															
													$html.='<td align=center>'.$CantidadRealCajas.'</td>';
													$html.='<td align=center>'.$prod_piezascaja.'</td>';
													$html.='<td align=center>'.$prod_unidadesreal.'</td>';																															
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<div align=center>
											<a href='#' id='btnCorregir' class='btn btn-primary ml-auto' style='color:white'>
											<b> CORREGIR DUPLICIDAD  DE PRODUCTOS</b></a></div>
										<div id='res'></div>
										<hr><br>
										<h2>Duplicidad por nombre <hr></h2>
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>		
													<th>N&ordm;</th>		
													<th>item</th>			
													<th>producto</th>
													<th>ubicacion</th>
													<th>cajas</th>
													<th>unidades por caja</th>
													<th>unidades real</th>
												</tr>
											</thead>											
											<tbody>
											<?php											
											$sql = "SELECT * FROM inventarios_productos p
											WHERE p.prod_item = '$itemComprobar'
											AND p.prod_estado = '1'
											AND p.ubica_codigo = '$UbicacionID'
											GROUP BY p.prod_nombre;";
											
											$db= new DB();
											$Productos = new DB();

											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
																																		
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');	

												$sqlProductos = "SELECT * FROM inventarios_productos p
												WHERE p.prod_nombre = '$prod_nombre'
												AND p.prod_item = '$prod_item'
												AND p.ubica_codigo = '$UbicacionID'
												AND p.prod_estado = '1';";
												$Productos->dbSQL($sqlProductos);
												while($Productos->next()){
													$i++;

													$prod_item = $Productos->dbField('prod_item');
													$prod_nombre = $Productos->dbField('prod_nombre');
													$cod_sucursal = $Productos->dbField('ubica_codigo');													
													$prod_piezascaja = $Productos->dbField('prod_piezascaja');
													$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
													$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;	

													$html.='<tr>';												
													$html.='<td align=center><b>'.$i.'</b></td>';											
													$html.='<td align=center>'.$prod_item.'</td>';
													$html.='<td>'.$prod_nombre.'</td>';																					
													$html.='<td align=center>'.DetSucursal($cod_sucursal).'</td>';															
													$html.='<td align=center>'.$prod_cantidadcajas.'</td>';
													$html.='<td align=center>'.$prod_piezascaja.'</td>';
													$html.='<td align=center>'.$prod_unidadesreal.'</td>';																															
													$html.='</tr>';	
												}

											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<!--div align=center>
											<a href='#' id='btnCorregir2' class='btn btn-primary ml-auto' style='color:white'>
											<b> CORREGIR DUPLICIDAD POR NOMBRE PRODUCTO</b></a></div>
										<div id='res2'></div -->
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('#btnCorregir').click(function(){

   $.post('<?php echo PATH_HOME.'duplicidad-cajeroscorregir2/'. md5(uniqid()); ?>',{
	'codigo': '<?php echo $codigo; ?>',	 	 
    'UbicacionID': '<?php echo $UbicacionID; ?>',	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  

});
</script>